Subject: Re: bug#38647: 26.3; image-next-file does not consider archived images

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 06 Aug 2020 11:52:30 +0200

Juri Linkov <[email-masked]> writes:

>> Perhaps we can just make this all less surprising, and still have the
>> functionality, by just notifying the user.  (Or query?)  That is, if you
>> `n' in an image-mode buffer, and there's no dired (etc) buffer parent,
>> then just message "Opened dired buffer for <dir>" when doing so?
>> And...  bury it?  Or not?
>
> Or optionally pop up a new Dired buffer on image navigation.
> Or use commands from image-dired.el.  So many options...

I just made it message.

I've now implemented this, and it seems to work for me in normal
buffers, as well as archive mode and tar mode buffers.  I had to add a
couple helper functions to the latter two modes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no